/* Ui Callback prototypes. 
 * $Id: callbacks.h,v 1.12 2000/04/24 23:30:16 marijn Exp $

 * An air traffic simulation game. 
 * Copyright (C) 2000  Marijn Vriens <marijn@sanity.dhs.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */

/* main screen menubar */
void
on_menubar1_selection_done             (GtkMenuShell    *menushell,
                                        gpointer         user_data);

void
on_new_game_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_end_game_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_quit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_help1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
/* game controls */
gboolean
on_time_key_press_event                (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_flightlist_select_row               (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_flightlist_unselect_row             (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_time_button_release_event           (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_in_button_release_event             (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_out_button_release_event            (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_hscale_value_change                 (GtkAdjustment   *adj);

void
on_toggDir_toggled                     (GtkToggleButton *togglebutton,
                                        gpointer         direction);

void
on_toggC_toggled                       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);
void
on_toggRL_toggled                      (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_toggRR_toggled                      (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_toggPark_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
board_plane_click                      (GtkButton        *button,
					gpointer         data);

gboolean
on_roundtime_button_release_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
checkJetPlane_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
butOk_clicked                          (GtkButton       *button,
                                        gpointer         user_data);

void
butCancel_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

gint
game_time_passed                       (gpointer data);

gint
cntl_win_close_btn_clicked             (GtkWidget *widget,
					GdkEvent  *event,
					gpointer  data);


/* Preference button call back. */
gboolean
pref_on_game_value_change        (GtkAdjustment   *adj,
					gpointer *);

gboolean
pref_on_reliability_value_change       (GtkAdjustment   *adj);


void
pref_on_objJetplane_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_objPropPlanes_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_objHelicopters_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_objNoflyzones_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_objStormSystem_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_objPowerCables_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_objGroundFog_toggled           (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_objMountains_toggled           (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_probEngine_toggled             (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_probGear_toggled               (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_probTerror_toggled             (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_probPilot_toggled              (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_probAlien_toggled              (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_probBirds_toggled              (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
pref_on_butOk_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
pref_on_butCancel_clicked              (GtkButton       *button,
                                        gpointer         user_data);

gint
pref_win_close_btn_clicked             (GtkWidget *widget,
					GdkEvent  *event,
					gpointer  data);

/* High Score callbacks */
void
hs_on_butOk_clicked                    (GtkButton       *button,
					gpointer         user_data);

void
hs_on_butClear_clicked                 (GtkButton       *button,
                                        gpointer         user_data);


/* Score board callbacks. */
void
results_on_okay_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
results_on_newgame_clicked             (GtkButton       *button,
                                        gpointer         user_data);

gint
results_win_close_btn_clicked          (GtkWidget *widget,
					GdkEvent  *event,
					gpointer  data);


/* ChangeLog
 * $Log: callbacks.h,v $
 * Revision 1.12  2000/04/24 23:30:16  marijn
 * Added callbacks for results window. Fixed scoring bug.
 *
 * Revision 1.11  2000/04/20 18:57:07  marijn
 * Scores per plane and maximum are now shown according the game settings.
 *
 * Revision 1.10  2000/04/19 20:41:40  marijn
 * Added the proper callbacks when WM closes windows. Updated preferences
 *
 * Revision 1.9  2000/04/19 05:54:44  marijn
 * Functioning preferences in a new preference window.
 *
 * Revision 1.8  2000/04/01 16:55:47  marijn
 * Major source code reordering, added license information.
 *
 */
