/* Compile time variables.
 * $Id: defaults.h,v 1.13 2000/04/20 18:57:07 marijn Exp $

 * An air traffic simulation game. 
 * Copyright (C) 2000  Marijn Vriens <marijn@sanity.dhs.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */

#define AIR_BOARD_X 13
#define AIR_BOARD_Y 13
#define AIR_BOARD_Z 10

#define AIR_SECTOR_X 30
#define AIR_SECTOR_Y 30

#define AIR_INITMINPLANEDIST 3

#define AIR_ROUNDSPEED 30
#define AIR_ROUNDSPEED_MAX 90
#define AIR_ROUNDSPEED_MIN 5

#define AIR_GAMEDURATION 15
#define AIR_GAMEDURATION_MIN 2
#define AIR_GAMEDURATION_MAX 60

#define AIR_NROFAIRCRAFT 15
#define AIR_NROFAIRCRAFT_MIN 5
#define AIR_NROFAIRCRAFT_MAX 99

#define AIR_NROFAIRPORT 2
#define AIR_NROFAIRPORT_MIN 0
#define AIR_NROFAIRPORT_MAX 5

#define AIR_MISSDIST 2
#define AIR_MISSDIST_MIN 0
#define AIR_MISSDIST_MAX 4

#define AIR_CRASHDIST 0
#define AIR_CRASHDIST_MIN 0
#define AIR_CRASHDIST_MAX 4

#define AIR_AVERAGEFUEL 5
#define AIR_AVERAGEFUEL_MIN 1
#define AIR_AVERAGEFUEL_MAX 20

#define AIR_MAX_HIGHSCORES 10

/* Jet plane properties */
#define AIR_JET_SPEED 1
#define AIR_JET_TURN  45
#define AIR_JET_HOVER FALSE
#define AIR_JET_ID    'j'
#define AIR_JET_NAME  "Jet"

/* No touch lines after this, or break lot'o'code! */

/* object numbers */
#define AIRPORT 0
#define ENTRY_POINT 1

/* cru^Haft type numbers */
#define JET 0

/* roundtimes update speed in milisecs */
#define ITERATIONSPEED 500

/* image states */
#define IMG_NORMAL 'N'
#define IMG_ACTIVE 'A'
#define IMG_CHANGE 'C'

/* ChangeLog
 * $Log: defaults.h,v $
 * Revision 1.13  2000/04/20 18:57:07  marijn
 * Scores per plane and maximum are now shown according the game settings.
 *
 * Revision 1.12  2000/04/19 05:54:44  marijn
 * Functioning preferences in a new preference window.
 *
 * Revision 1.11  2000/04/16 17:12:31  marijn
 * Added support for saving preferences and highscores to preference files.
 *
 * Revision 1.10  2000/04/08 18:52:48  marijn
 * Ready for a 0.1b release
 *
 * Revision 1.9  2000/04/01 16:55:47  marijn
 * Major source code reordering, added license information.
 *
 * Revision 1.8  2000/03/20 01:07:23  marijn
 * Various bugs fixed, plugged all known memory leaks.
 *
 * Revision 1.7  2000/03/19 19:34:14  marijn
 * Added plane distance checking, planes can now crash into eachother.
 *
 * Revision 1.6  2000/01/05 15:03:36  marijn
 * Added basic support for airport images
 *
 * Revision 1.5  1999/12/26 03:21:01  marijn
 * Planes now have xpm images for them.
 * Added comments to much of the global structures.
 *
 * Revision 1.4  1999/09/17 13:45:24  marijn
 * detection that a plane leaves works
 *
 * Revision 1.3  1999/09/13 19:43:48  marijn
 * main game round code inserted..
 *
 * Revision 1.2  1999/08/26 22:15:50  marijn
 * toggle buttons are now a group of radio buttons and height slider works
 *
 * Revision 1.1  1999/08/22 18:21:01  marijn
 * types and objects are generated as is the list of planes.
 *
 */
