/* Functions for the main game.
 * $Id: game.h,v 1.15 2000/04/24 23:30:16 marijn Exp $

 * An air traffic simulation game. 
 * Copyright (C) 2000  Marijn Vriens <marijn@sanity.dhs.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */

/* Functions */
void
degsToMove( vector *pos );

void
gameStart();

void
gameEnd(gboolean);

void
gameRound();

/* ChangLog
 * $Log: game.h,v $
 * Revision 1.15  2000/04/24 23:30:16  marijn
 * Added callbacks for results window. Fixed scoring bug.
 *
 * Revision 1.14  2000/04/01 16:55:47  marijn
 * Major source code reordering, added license information.
 *
 * Revision 1.13  2000/03/20 01:07:23  marijn
 * Various bugs fixed, plugged all known memory leaks.
 *
 * Revision 1.12  2000/03/19 19:34:14  marijn
 * Added plane distance checking, planes can now crash into eachother.
 *
 * Revision 1.11  2000/03/08 23:34:53  marijn
 * The game now has a proper ending. "End Game" added to the menu.
 *
 * Revision 1.10  2000/03/07 20:22:43  marijn
 * Planes now leave the game when they exit the board. Various minor fixes
 *
 * Revision 1.9  2000/02/21 00:17:02  marijn
 * Changed from GTK to Gnome build. Cleaned up inclusions of header-files.
 *
 * Revision 1.8  2000/01/17 01:39:22  marijn
 * Planes now keep to be the same widgets when they only move.
 * Improved color responce.
 * Added initail support for removing planes when they leave the board.
 *
 * Revision 1.7  1999/12/26 03:21:01  marijn
 * Planes now have xpm images for them.
 * Added comments to much of the global structures.
 *
 * Revision 1.6  1999/12/10 21:25:22  marijn
 * Added comments and cleaned gameRound() in game.c
 * Added structure for keeping track scored points.
 *
 * Revision 1.5  1999/11/18 00:12:44  marijn
 * Basic checking of where a plane leaves is now implemented.
 * GameRound is a bit more structured.
 *
 * Revision 1.4  1999/09/17 13:45:24  marijn
 * detection that a plane leaves works
 *
 * Revision 1.3  1999/09/13 19:43:48  marijn
 * main game round code inserted..
 *
 * Revision 1.2  1999/08/27 13:29:29  marijn
 * planes are get added to the planelist
 *
 * Revision 1.1  1999/08/22 18:21:01  marijn
 * types and objects are generated as is the list of planes.
 *
 */
