/* Main source file... the program starts here. 
 * $Id: main.c,v 1.9 2000/04/19 05:54:44 marijn Exp $

 * An air traffic simulation game. 
 * Copyright (C) 2000  Marijn Vriens <marijn@sanity.dhs.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "defaults.h"
#include "datastructs.h"
#include "interface.h"
#include "init.h"

int
main (int argc, char *argv[])
{
	srand(time(0));
	
	airSet             = initSettings();
	airUi              = initUi();
	initTypes(airSet);

	bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
	textdomain (PACKAGE);

	gtk_set_locale ();
	gnome_init (PACKAGE, VERSION, argc, argv);

	create_winCtrl(airUi);
	gtk_widget_show (airUi->main);

	gtk_main ();
	return 0;
}

/* ChangeLog
 * $Log: main.c,v $
 * Revision 1.9  2000/04/19 05:54:44  marijn
 * Functioning preferences in a new preference window.
 *
 * Revision 1.8  2000/04/16 17:10:35  marijn
 * Removed references to the obsolete support files.
 *
 * Revision 1.7  2000/04/01 16:55:47  marijn
 * Major source code reordering, added license information.
 *
 * Revision 1.6  2000/02/21 00:17:02  marijn
 * Changed from GTK to Gnome build. Cleaned up inclusions of header-files.
 *
 * Revision 1.5  1999/12/26 03:21:01  marijn
 * Planes now have xpm images for them.
 * Added comments to much of the global structures.
 *
 * Revision 1.4  1999/09/13 19:43:48  marijn
 * main game round code inserted..
 *
 * Revision 1.3  1999/08/26 22:15:50  marijn
 * toggle buttons are now a group of radio buttons and height slider works
 *
 * Revision 1.2  1999/08/22 18:21:01  marijn
 * types and objects are generated as is the list of planes.
 *
 */
